#!/bin/sh

./projector.sh benchmarks/$1.mined | sort > tmp1
cat benchmarks/$1.used | sort > tmp2
diff tmp1 tmp2 > out
cat out | grep "^<" > deleted
cat out | grep "^>" > added
echo  "Mined was sized " `wc -l benchmarks/$1.mined` "- 1"
echo  "Projected was sized " `wc -l tmp1` "+2?"
echo  "Subset was sized " `wc -l benchmarks/$1.used`
echo
echo  "User deleted " `wc -l deleted`
cat deleted
echo
echo  "User manually added " `wc -l added`
cat added
rm out
rm deleted added
rm tmp1 tmp2
